%define name	yum
%define major	2.6
%define version 2.6.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	RPM installer/updater
License:	GPL
Group:		System/Configuration/Packaging
# for some strange ( read RH use a incompatible gzip release ) reason, you may need to recompress this file.
Source:		http://linux.duke.edu/projects/yum/download/%{major}/%{name}-%{version}.tar.bz2
URL:		http://www.linux.duke.edu/projects/yum
Requires:       python-rpm
Requires:       python-libxml2
Requires:	python-urlgrabber
Requires:	python-celementtree
BuildRequires:	python-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
# correct scripts
perl -pi -e 's|%{_libdir}/yum|%{_datadir}/yum|' %{buildroot}%{_bindir}/*
# remove init stuff
rm -f %{buildroot}%{_sysconfdir}/cron.*/yum.cron
rm -f %{buildroot}%{_sysconfdir}/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
rm -Rf  %{buildroot}/%py_sitedir/urlgrabber/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/yum/
%py_sitedir/*
%{_datadir}/yum-cli/
%{_bindir}/*
/var/cache/yum
%{_mandir}/man*/*

%changelog
* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-1mdk
- New release 2.6.0

* Mon Dec 05 2005 Michael Scherer <misc@mandriva.org> 2.4.0-2mdk
- requires python-celementtree ( fix bug #19895 ) 
 
* Fri Sep 30 2005 Michael Scherer <misc@mandriva.org> 2.4.0-1mdk
- New release 2.4.0

* Fri Sep 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-3mdk
- fix requires 

* Thu Sep 01 2005 Michael Scherer <misc@mandriva.org> 2.2.2-2mdk
- remove bundled urlgrabber
- use python macro

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Fri Jun  3 2005 Gtz Waschk <waschk@mandriva.org> 2.2.1-3mdk
- obsolete python-urlgrabber

* Sat Apr 09 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-2mdk 
- fix URL (fix bug #14822)
- spec cleanup

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2.2.1-1mdk
- new version

* Wed May 26 2004 Michael Scherer <misc@mandrake.org> 2.0.7-1mdk
- New release 2.0.7
- add a notice about the recompression

* Tue May 25 2004 Michael Scherer <misc@mandrake.org> 2.0.6-2mdk 
- add correct Requires
- remove warning in description

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.6-1mdk
- new version
- rpmbuildupdate aware

* Sat Aug 16 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0.1-1mdk
- 2.0.1

* Wed May 21 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.1-1mdk
- 1.0.1

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-2mdk
- removed useless %%preun and %%post sections

* Wed Apr 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0-1mdk
- 1.0
- removed init stuff

* Sun Jan 26 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-2mdk
- fixed scripts

* Sat Jan 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.4-1mdk
- first mdk release based on Seth Vidal <skvidal@phy.duke.edu> work
